import * as React from 'react';
import { BoxProps, FlexProps, MediaQueryKey } from './types';
export declare const ReactComponent: typeof React.PureComponent;
export declare const orderedBreakpoints: string[];
export declare type Breakpoints = 'col' | 'xs' | 'ms' | 'sm' | 'md' | 'lg';
export declare const defaultProps: {
    col: number;
    debug: boolean;
    direction: string;
    gap: number;
    grow: number;
    self: string;
    shrink: number;
    wrap: string;
};
export declare const calculateColumnWidth: (props: BoxProps, size: MediaQueryKey) => number;
export declare class Box extends ReactComponent<Partial<BoxProps & FlexProps>, {}> {
    static defaultProps: {
        col: number;
        debug: boolean;
        direction: string;
        gap: number;
        grow: number;
        self: string;
        shrink: number;
        wrap: string;
    };
    render(): JSX.Element;
    getColumnSize(size: Breakpoints): number;
    columns(): React.CSSProperties[];
    getColumnStyle(breakpoint: MediaQueryKey, columns: number): React.CSSProperties;
    getColumnWidth(column: number): React.CSSProperties;
    styles(): React.CSSProperties;
}
declare const _default: typeof Box;
export default _default;
