"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var radium_1 = require("radium");
var React = require("react");
var styles_1 = require("./styles");
exports.ReactComponent = React.PureComponent || React.Component;
var Flex = /** @class */ (function (_super) {
    __extends(Flex, _super);
    function Flex() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Flex.prototype.render = function () {
        var _a = this.props, className = _a.className, children = _a.children, debug = _a.debug, gap = _a.gap, style = _a.style, columns = _a.columns;
        var childrenWithGap = React.Children.map(children, function (child) {
            return child && React.cloneElement(child, { columns: columns, gap: gap, debug: debug });
        });
        return (React.createElement("div", { className: className, style: [this.styles(), style] }, childrenWithGap));
    };
    Flex.prototype.styles = function () {
        var _a = this.props, align = _a.align, content = _a.content, direction = _a.direction, gap = _a.gap, justify = _a.justify, wrap = _a.wrap;
        var gapSize = gap === true ? styles_1.defaultGap : gap;
        var gapStyles = typeof gapSize === 'number' && gapSize > 0 ? { marginLeft: "-" + gapSize + "px", marginRight: "-" + gapSize + "px" } : {};
        return __assign({ display: 'flex', flexDirection: direction, flexWrap: wrap, justifyContent: justify, alignItems: align, alignContent: content }, gapStyles);
    };
    Flex.defaultProps = {
        align: 'stretch',
        columns: 12,
        content: 'stretch',
        debug: false,
        direction: 'row',
        gap: 0,
        justify: 'flex-start',
        wrap: 'wrap',
    };
    return Flex;
}(exports.ReactComponent));
exports.Flex = Flex;
exports.default = radium_1.default(Flex);
//# sourceMappingURL=Flex.js.map